import*as React from'react';import {InversifyContext}from'@common-stack/client-react';import {IClientContainerService}from'../interfaces/generated-models.js';const isBrowser = typeof document !== 'undefined';
function useExtensionController() {
    const { container } = React.useContext(InversifyContext);
    const [extensionController, setExtensionController] = React.useState(null);
    React.useEffect(() => {
        if (isBrowser && container.isBound(IClientContainerService.ExtensionController)) {
            const controller = container.get(IClientContainerService.ExtensionController);
            setExtensionController(controller);
        }
    }, [container]);
    return extensionController;
}export{useExtensionController};